CREATE TABLE eZAd_Ad(
  ID int NOT NULL,
  Name varchar(150) default NULL,
  ImageID int default NULL,
  URL varchar(200) default NULL,
  Description text,
  IsActive int not null,
  ViewPrice float default 0.0,
  ClickPrice float default 0.0,
  HTMLBanner text default null,
  UseHTML int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZAd_AdCategoryLink (
  ID int NOT NULL,
  CategoryID int default NULL,
  AdID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZAd_Category (
  ID int NOT NULL,
  Name varchar(150) default NULL,
  Description text,
  ParentID int not NULL,
  ExcludeFromSearch int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZAd_Click (
  ID int NOT NULL,
  AdID int default NULL,
  PageViewID int default NULL,
  ClickPrice decimal(10,2) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZAd_View (
  ID int NOT NULL,
  AdID int default NULL,
  ViewCount int NOT NULL,
  ViewOffsetCount int NOT NULL,
  ViewPrice decimal(10,2) NOT NULL,
  Date int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZAddress_Address (
  ID int NOT NULL,
  Street1 varchar(50),
  Street2 varchar(50),
  AddressTypeID int,
  Place varchar(50),
  Zip varchar(10),
  CountryID int,
  Name varchar(50),
  PRIMARY KEY (ID)
);

INSERT INTO eZAddress_Address VALUES (1,'Adminstreet1','Adminstreet2',0,'Noplace','42',0);

CREATE TABLE eZAddress_AddressDefinition (
  UserID int NOT NULL,
  AddressID int NOT NULL,
  PRIMARY KEY (UserID,AddressID)
);

CREATE TABLE eZAddress_AddressType (
  ID int NOT NULL,
  Name varchar(50),
  ListOrder int NOT NULL,
  Removed int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZAddress_AddressType VALUES (1,'Post adresse',1,0);

CREATE TABLE eZAddress_Country (
  ID int NOT NULL,
  ISO varchar(2),
  Name varchar(100),
  HasVAT int DEFAULT '0',
  Removed int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZAddress_Country VALUES (2,'AF','Afghanistan',0);
INSERT INTO eZAddress_Country VALUES (3,'AL','Albania',0);
INSERT INTO eZAddress_Country VALUES (4,'DZ','Algeria',0);
INSERT INTO eZAddress_Country VALUES (5,'AS','American Samoa',0);
INSERT INTO eZAddress_Country VALUES (6,'AD','Andorra',0);
INSERT INTO eZAddress_Country VALUES (7,'AO','Angola',0);
INSERT INTO eZAddress_Country VALUES (8,'AI','Anguilla',0);
INSERT INTO eZAddress_Country VALUES (9,'AQ','Antarctica',0);
INSERT INTO eZAddress_Country VALUES (10,'AG','Antigua and Barbuda',0);
INSERT INTO eZAddress_Country VALUES (11,'AR','Argentina',0);
INSERT INTO eZAddress_Country VALUES (12,'AM','Armenia',0);
INSERT INTO eZAddress_Country VALUES (13,'AW','Aruba',0);
INSERT INTO eZAddress_Country VALUES (14,'AU','Australia',0);
INSERT INTO eZAddress_Country VALUES (15,'AT','Austria',0);
INSERT INTO eZAddress_Country VALUES (16,'AZ','Azerbaijan',0);
INSERT INTO eZAddress_Country VALUES (17,'BS','Bahamas',0);
INSERT INTO eZAddress_Country VALUES (18,'BH','Bahrain',0);
INSERT INTO eZAddress_Country VALUES (19,'BD','Bangladesh',0);
INSERT INTO eZAddress_Country VALUES (20,'BB','Barbados',0);
INSERT INTO eZAddress_Country VALUES (21,'BY','Belarus',0);
INSERT INTO eZAddress_Country VALUES (22,'BE','Belgium',0);
INSERT INTO eZAddress_Country VALUES (23,'BZ','Belize',0);
INSERT INTO eZAddress_Country VALUES (24,'BJ','Benin',0);
INSERT INTO eZAddress_Country VALUES (25,'BM','Bermuda',0);
INSERT INTO eZAddress_Country VALUES (26,'BT','Bhutan',0);
INSERT INTO eZAddress_Country VALUES (27,'BO','Bolivia',0);
INSERT INTO eZAddress_Country VALUES (28,'BA','Bosnia and Herzegovina',0);
INSERT INTO eZAddress_Country VALUES (29,'BW','Botswana',0);
INSERT INTO eZAddress_Country VALUES (30,'BV','Bouvet Island',0);
INSERT INTO eZAddress_Country VALUES (31,'BR','Brazil',0);
INSERT INTO eZAddress_Country VALUES (32,'IO','British Indian Ocean Territory',0);
INSERT INTO eZAddress_Country VALUES (33,'BN','Brunei Darussalam',0);
INSERT INTO eZAddress_Country VALUES (34,'BG','Bulgaria',0);
INSERT INTO eZAddress_Country VALUES (35,'BF','Burkina Faso',0);
INSERT INTO eZAddress_Country VALUES (36,'BI','Burundi',0);
INSERT INTO eZAddress_Country VALUES (37,'KH','Cambodia',0);
INSERT INTO eZAddress_Country VALUES (38,'CM','Cameroon',0);
INSERT INTO eZAddress_Country VALUES (39,'CA','Canada',0);
INSERT INTO eZAddress_Country VALUES (40,'CV','Cape Verde',0);
INSERT INTO eZAddress_Country VALUES (41,'KY','Cayman Islands',0);
INSERT INTO eZAddress_Country VALUES (42,'CF','Central African Republic',0);
INSERT INTO eZAddress_Country VALUES (43,'TD','Chad',0);
INSERT INTO eZAddress_Country VALUES (44,'CL','Chile',0);
INSERT INTO eZAddress_Country VALUES (45,'CN','China',0);
INSERT INTO eZAddress_Country VALUES (46,'CX','Christmas Island',0);
INSERT INTO eZAddress_Country VALUES (47,'CC','Cocos (Keeling) Islands',0);
INSERT INTO eZAddress_Country VALUES (48,'CO','Colombia',0);
INSERT INTO eZAddress_Country VALUES (49,'KM','Comoros',0);
INSERT INTO eZAddress_Country VALUES (50,'CG','Congo',0);
INSERT INTO eZAddress_Country VALUES (51,'CK','Cook Islands',0);
INSERT INTO eZAddress_Country VALUES (52,'CR','Costa Rica',0);
INSERT INTO eZAddress_Country VALUES (53,'CI','Cote d\'Ivoire',0);
INSERT INTO eZAddress_Country VALUES (54,'HR','Croatia',0);
INSERT INTO eZAddress_Country VALUES (55,'CU','Cuba',0);
INSERT INTO eZAddress_Country VALUES (56,'CY','Cyprus',0);
INSERT INTO eZAddress_Country VALUES (57,'CZ','Czech Republic',0);
INSERT INTO eZAddress_Country VALUES (58,'DK','Denmark',0);
INSERT INTO eZAddress_Country VALUES (59,'DJ','Djibouti',0);
INSERT INTO eZAddress_Country VALUES (60,'DM','Dominica',0);
INSERT INTO eZAddress_Country VALUES (61,'DO','Dominican Republic',0);
INSERT INTO eZAddress_Country VALUES (62,'TP','East Timor',0);
INSERT INTO eZAddress_Country VALUES (63,'EC','Ecuador',0);
INSERT INTO eZAddress_Country VALUES (64,'EG','Egypt',0);
INSERT INTO eZAddress_Country VALUES (65,'SV','El Salvador',0);
INSERT INTO eZAddress_Country VALUES (66,'GQ','Equatorial Guinea',0);
INSERT INTO eZAddress_Country VALUES (67,'ER','Eritrea',0);
INSERT INTO eZAddress_Country VALUES (68,'EE','Estonia',0);
INSERT INTO eZAddress_Country VALUES (69,'ET','Ethiopia',0);
INSERT INTO eZAddress_Country VALUES (70,'FK','Falkland Islands (Malvinas)',0);
INSERT INTO eZAddress_Country VALUES (71,'FO','Faroe Islands',0);
INSERT INTO eZAddress_Country VALUES (72,'FJ','Fiji',0);
INSERT INTO eZAddress_Country VALUES (73,'FI','Finland',0);
INSERT INTO eZAddress_Country VALUES (74,'FR','France',0);
INSERT INTO eZAddress_Country VALUES (75,'FX','France, Metropolitan',0);
INSERT INTO eZAddress_Country VALUES (76,'GF','French Guiana',0);
INSERT INTO eZAddress_Country VALUES (77,'PF','French Polynesia',0);
INSERT INTO eZAddress_Country VALUES (78,'TF','French Southern Territories',0);
INSERT INTO eZAddress_Country VALUES (79,'GA','Gabon',0);
INSERT INTO eZAddress_Country VALUES (80,'GM','Gambia',0);
INSERT INTO eZAddress_Country VALUES (81,'GE','Georgia',0);
INSERT INTO eZAddress_Country VALUES (82,'DE','Germany',0);
INSERT INTO eZAddress_Country VALUES (83,'GH','Ghana',0);
INSERT INTO eZAddress_Country VALUES (84,'GI','Gibraltar',0);
INSERT INTO eZAddress_Country VALUES (85,'GR','Greece',0);
INSERT INTO eZAddress_Country VALUES (86,'GL','Greenland',0);
INSERT INTO eZAddress_Country VALUES (87,'GD','Grenada',0);
INSERT INTO eZAddress_Country VALUES (88,'GP','Guadeloupe',0);
INSERT INTO eZAddress_Country VALUES (89,'GU','Guam',0);
INSERT INTO eZAddress_Country VALUES (90,'GT','Guatemala',0);
INSERT INTO eZAddress_Country VALUES (91,'GN','Guinea',0);
INSERT INTO eZAddress_Country VALUES (92,'GW','Guinea-Bissau',0);
INSERT INTO eZAddress_Country VALUES (93,'GY','Guyana',0);
INSERT INTO eZAddress_Country VALUES (94,'HT','Haiti',0);
INSERT INTO eZAddress_Country VALUES (95,'HM','Heard Island and McDonald Islands',0);
INSERT INTO eZAddress_Country VALUES (96,'HN','Honduras',0);
INSERT INTO eZAddress_Country VALUES (97,'HK','Hong Kong',0);
INSERT INTO eZAddress_Country VALUES (98,'HU','Hungary',0);
INSERT INTO eZAddress_Country VALUES (99,'IS','Iceland',0);
INSERT INTO eZAddress_Country VALUES (100,'IN','India',0);
INSERT INTO eZAddress_Country VALUES (101,'ID','Indonesia',0);
INSERT INTO eZAddress_Country VALUES (102,'IR','Iran (Islamic Republic of)',0);
INSERT INTO eZAddress_Country VALUES (103,'IQ','Iraq',0);
INSERT INTO eZAddress_Country VALUES (104,'IE','Ireland',0);
INSERT INTO eZAddress_Country VALUES (105,'IL','Israel',0);
INSERT INTO eZAddress_Country VALUES (106,'IT','Italy',0);
INSERT INTO eZAddress_Country VALUES (107,'JM','Jamaica',0);
INSERT INTO eZAddress_Country VALUES (108,'JP','Japan',0);
INSERT INTO eZAddress_Country VALUES (109,'JO','Jordan',0);
INSERT INTO eZAddress_Country VALUES (110,'KZ','Kazakhstan',0);
INSERT INTO eZAddress_Country VALUES (111,'KE','Kenya',0);
INSERT INTO eZAddress_Country VALUES (112,'KI','Kiribati',0);
INSERT INTO eZAddress_Country VALUES (113,'KP','Korea, Democratic People\'s Republic of',0);
INSERT INTO eZAddress_Country VALUES (114,'KR','Korea, Republic of',0);
INSERT INTO eZAddress_Country VALUES (115,'KW','Kuwait',0);
INSERT INTO eZAddress_Country VALUES (116,'KG','Kyrgyzstan',0);
INSERT INTO eZAddress_Country VALUES (117,'LA','Lao People\'s Democratic Republic',0);
INSERT INTO eZAddress_Country VALUES (118,'LT','Latin America',0);
INSERT INTO eZAddress_Country VALUES (119,'LV','Latvia',0);
INSERT INTO eZAddress_Country VALUES (120,'LB','Lebanon',0);
INSERT INTO eZAddress_Country VALUES (121,'LS','Lesotho',0);
INSERT INTO eZAddress_Country VALUES (122,'LR','Liberia',0);
INSERT INTO eZAddress_Country VALUES (123,'LY','Libyan Arab Jamahiriya',0);
INSERT INTO eZAddress_Country VALUES (124,'LI','Liechtenstein',0);
INSERT INTO eZAddress_Country VALUES (125,'LX','Lithuania',0);
INSERT INTO eZAddress_Country VALUES (126,'LU','Luxembourg',0);
INSERT INTO eZAddress_Country VALUES (127,'MO','Macau',0);
INSERT INTO eZAddress_Country VALUES (128,'MK','Macedonia',0);
INSERT INTO eZAddress_Country VALUES (129,'MG','Madagascar',0);
INSERT INTO eZAddress_Country VALUES (130,'MW','Malawi',0);
INSERT INTO eZAddress_Country VALUES (131,'MY','Malaysia',0);
INSERT INTO eZAddress_Country VALUES (132,'MV','Maldives',0);
INSERT INTO eZAddress_Country VALUES (133,'ML','Mali',0);
INSERT INTO eZAddress_Country VALUES (134,'MT','Malta',0);
INSERT INTO eZAddress_Country VALUES (135,'MH','Marshall Islands',0);
INSERT INTO eZAddress_Country VALUES (136,'MQ','Martinique',0);
INSERT INTO eZAddress_Country VALUES (137,'MR','Mauritania',0);
INSERT INTO eZAddress_Country VALUES (138,'MU','Mauritius',0);
INSERT INTO eZAddress_Country VALUES (139,'YT','Mayotte',0);
INSERT INTO eZAddress_Country VALUES (140,'MX','Mexico',0);
INSERT INTO eZAddress_Country VALUES (141,'FM','Micronesia (Federated States of)',0);
INSERT INTO eZAddress_Country VALUES (142,'MD','Moldova, Republic of',0);
INSERT INTO eZAddress_Country VALUES (143,'MC','Monaco',0);
INSERT INTO eZAddress_Country VALUES (144,'MN','Mongolia',0);
INSERT INTO eZAddress_Country VALUES (145,'MS','Montserrat',0);
INSERT INTO eZAddress_Country VALUES (146,'MA','Morocco',0);
INSERT INTO eZAddress_Country VALUES (147,'MZ','Mozambique',0);
INSERT INTO eZAddress_Country VALUES (148,'MM','Myanmar',0);
INSERT INTO eZAddress_Country VALUES (149,'NA','Namibia',0);
INSERT INTO eZAddress_Country VALUES (150,'NR','Nauru',0);
INSERT INTO eZAddress_Country VALUES (151,'NP','Nepal',0);
INSERT INTO eZAddress_Country VALUES (152,'NL','Netherlands',0);
INSERT INTO eZAddress_Country VALUES (153,'AN','Netherlands Antilles',0);
INSERT INTO eZAddress_Country VALUES (154,'NC','New Caledonia',0);
INSERT INTO eZAddress_Country VALUES (155,'NZ','New Zealand',0);
INSERT INTO eZAddress_Country VALUES (156,'NI','Nicaragua',0);
INSERT INTO eZAddress_Country VALUES (157,'NE','Niger',0);
INSERT INTO eZAddress_Country VALUES (158,'NG','Nigeria',0);
INSERT INTO eZAddress_Country VALUES (159,'NU','Niue',0);
INSERT INTO eZAddress_Country VALUES (160,'NF','Norfolk Island',0);
INSERT INTO eZAddress_Country VALUES (161,'MP','Northern Mariana Islands',0);
INSERT INTO eZAddress_Country VALUES (162,'NO','Norway',0);
INSERT INTO eZAddress_Country VALUES (163,'OM','Oman',0);
INSERT INTO eZAddress_Country VALUES (164,'PK','Pakistan',0);
INSERT INTO eZAddress_Country VALUES (165,'PW','Palau',0);
INSERT INTO eZAddress_Country VALUES (166,'PA','Panama',0);
INSERT INTO eZAddress_Country VALUES (167,'PG','Papua New Guinea',0);
INSERT INTO eZAddress_Country VALUES (168,'PY','Paraguay',0);
INSERT INTO eZAddress_Country VALUES (169,'PE','Peru',0);
INSERT INTO eZAddress_Country VALUES (170,'PH','Philippines',0);
INSERT INTO eZAddress_Country VALUES (171,'PN','Pitcairn',0);
INSERT INTO eZAddress_Country VALUES (172,'PL','Poland',0);
INSERT INTO eZAddress_Country VALUES (173,'PT','Portugal',0);
INSERT INTO eZAddress_Country VALUES (174,'PR','Puerto Rico',0);
INSERT INTO eZAddress_Country VALUES (175,'QA','Qatar',0);
INSERT INTO eZAddress_Country VALUES (176,'RE','Reunion',0);
INSERT INTO eZAddress_Country VALUES (177,'RO','Romania',0);
INSERT INTO eZAddress_Country VALUES (178,'RU','Russian Federation',0);
INSERT INTO eZAddress_Country VALUES (179,'RW','Rwanda',0);
INSERT INTO eZAddress_Country VALUES (180,'SH','Saint Helena',0);
INSERT INTO eZAddress_Country VALUES (181,'KN','Saint Kitts and Nevis',0);
INSERT INTO eZAddress_Country VALUES (182,'LC','Saint Lucia',0);
INSERT INTO eZAddress_Country VALUES (183,'PM','Saint Pierre and Miquelon',0);
INSERT INTO eZAddress_Country VALUES (184,'VC','Saint Vincent and the Grenadines',0);
INSERT INTO eZAddress_Country VALUES (185,'WS','Samoa',0);
INSERT INTO eZAddress_Country VALUES (186,'SM','San Marino',0);
INSERT INTO eZAddress_Country VALUES (187,'ST','Sao Tome and Principe',0);
INSERT INTO eZAddress_Country VALUES (188,'SA','Saudi Arabia',0);
INSERT INTO eZAddress_Country VALUES (189,'SN','Senegal',0);
INSERT INTO eZAddress_Country VALUES (190,'SC','Seychelles',0);
INSERT INTO eZAddress_Country VALUES (191,'SL','Sierra Leone',0);
INSERT INTO eZAddress_Country VALUES (192,'SG','Singapore',0);
INSERT INTO eZAddress_Country VALUES (193,'SK','Slovakia',0);
INSERT INTO eZAddress_Country VALUES (194,'SI','Slovenia',0);
INSERT INTO eZAddress_Country VALUES (195,'SB','Solomon Islands',0);
INSERT INTO eZAddress_Country VALUES (196,'SO','Somalia',0);
INSERT INTO eZAddress_Country VALUES (197,'ZA','South Africa',0);
INSERT INTO eZAddress_Country VALUES (198,'GS','South Georgia and the South Sandwich Island',0);
INSERT INTO eZAddress_Country VALUES (199,'ES','Spain',0);
INSERT INTO eZAddress_Country VALUES (200,'LK','Sri Lanka',0);
INSERT INTO eZAddress_Country VALUES (201,'SD','Sudan',0);
INSERT INTO eZAddress_Country VALUES (202,'SR','Suriname',0);
INSERT INTO eZAddress_Country VALUES (203,'SJ','Svalbard and Jan Mayen Islands',0);
INSERT INTO eZAddress_Country VALUES (204,'SZ','Swaziland',0);
INSERT INTO eZAddress_Country VALUES (205,'SE','Sweden',0);
INSERT INTO eZAddress_Country VALUES (206,'CH','Switzerland',0);
INSERT INTO eZAddress_Country VALUES (207,'SY','Syrian Arab Republic',0);
INSERT INTO eZAddress_Country VALUES (208,'TW','Taiwan, Republic of China',0);
INSERT INTO eZAddress_Country VALUES (209,'TJ','Tajikistan',0);
INSERT INTO eZAddress_Country VALUES (210,'TZ','Tanzania, United Republic of',0);
INSERT INTO eZAddress_Country VALUES (211,'TH','Thailand',0);
INSERT INTO eZAddress_Country VALUES (212,'TG','Togo',0);
INSERT INTO eZAddress_Country VALUES (213,'TK','Tokelau',0);
INSERT INTO eZAddress_Country VALUES (214,'TO','Tonga',0);
INSERT INTO eZAddress_Country VALUES (215,'TT','Trinidad and Tobago',0);
INSERT INTO eZAddress_Country VALUES (216,'TN','Tunisia',0);
INSERT INTO eZAddress_Country VALUES (217,'TR','Turkey',0);
INSERT INTO eZAddress_Country VALUES (218,'TM','Turkmenistan',0);
INSERT INTO eZAddress_Country VALUES (219,'TC','Turks and Caicos Islands',0);
INSERT INTO eZAddress_Country VALUES (220,'TV','Tuvalu',0);
INSERT INTO eZAddress_Country VALUES (221,'UG','Uganda',0);
INSERT INTO eZAddress_Country VALUES (222,'UA','Ukraine',0);
INSERT INTO eZAddress_Country VALUES (223,'AE','United Arab Emirates',0);
INSERT INTO eZAddress_Country VALUES (224,'GB','United Kingdom',0);
INSERT INTO eZAddress_Country VALUES (225,'UM','United States Minor Outlying Islands',0);
INSERT INTO eZAddress_Country VALUES (226,'UY','Uruguay',0);
INSERT INTO eZAddress_Country VALUES (227,'UZ','Uzbekistan',0);
INSERT INTO eZAddress_Country VALUES (228,'VU','Vanuatu',0);
INSERT INTO eZAddress_Country VALUES (229,'VA','Vatican City State (Holy See)',0);
INSERT INTO eZAddress_Country VALUES (230,'VE','Venezuela',0);
INSERT INTO eZAddress_Country VALUES (231,'VN','Viet Nam',0);
INSERT INTO eZAddress_Country VALUES (232,'VG','Virgin Islands (British)',0);
INSERT INTO eZAddress_Country VALUES (233,'VI','Virgin Islands (U.S.)',0);
INSERT INTO eZAddress_Country VALUES (234,'WF','Wallis and Futuna Islands',0);
INSERT INTO eZAddress_Country VALUES (235,'EH','Western Sahara',0);
INSERT INTO eZAddress_Country VALUES (236,'YE','Yemen',0);
INSERT INTO eZAddress_Country VALUES (237,'YU','Yugoslavia',0);
INSERT INTO eZAddress_Country VALUES (238,'ZR','Zaire',0);
INSERT INTO eZAddress_Country VALUES (239,'ZM','Zambia',0);
INSERT INTO eZAddress_Country VALUES (240,'US','United States of America',0);

CREATE TABLE eZAddress_Online (
  ID int NOT NULL,
  URL varchar(255),
  OnlineTypeID int,
  PRIMARY KEY (ID)
);

CREATE TABLE eZAddress_OnlineType (
  ID int DEFAULT '0' NOT NULL,
  Name varchar(50),
  ListOrder int DEFAULT '0' NOT NULL,
  URLPrefix varchar(30) DEFAULT '' NOT NULL,
  PrefixLink int DEFAULT '0' NOT NULL,
  PrefixVisual int DEFAULT '0' NOT NULL,
  Removed int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZAddress_OnlineType VALUES (1,'Email',1,'mailto:',1,0,0);

CREATE TABLE eZAddress_Phone (
  ID int NOT NULL,
  Number varchar(22),
  PhoneTypeID int,
  PRIMARY KEY (ID)
);

CREATE TABLE eZAddress_PhoneType (
  ID int NOT NULL,
  Name varchar(50),
  ListOrder int DEFAULT '0' NOT NULL,
  Removed int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZAddress_PhoneType VALUES (1,'Telefon',1,0);

CREATE TABLE eZArticle_Article (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Contents text,
  ContentsWriterID int default NULL,
  LinkText varchar(50) default NULL,
  AuthorID int NOT NULL default '0',
  Modified int NOT NULL,
  Created int NOT NULL,
  Published int NOT NULL,
  PageCount int default NULL,
  IsPublished int default '0',
  Keywords text,
  Discuss int default '0',
  TopicID int NOT NULL default '0',
  StartDate int NOT NULL,
  StopDate int NOT NULL,
  ImportID varchar(255) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleCategoryDefinition (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  PRIMARY KEY (ID)
);


CREATE TABLE eZArticle_ArticleCategoryLink (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  Placement int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleFileLink (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  FileID int NOT NULL default '0',
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleFormDict (
  ID int NOT NULL,
  ArticleID int default NULL,
  FormID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleForumLink (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  ForumID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleImageDefinition (
  ArticleID int NOT NULL default '0',
  ThumbnailImageID int default NULL,
  PRIMARY KEY (ArticleID )
);

CREATE TABLE eZArticle_ArticleImageLink (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  ImageID int NOT NULL default '0',
  Created int NOT NULL,
  Placement int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleKeyword (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  Keyword varchar(50) NOT NULL default '',
  Automatic int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticlePermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleTypeLink (
  ID int NOT NULL,
  ArticleID int default NULL,
  TypeID int default NULL,
  PRIMARY KEY (ID)
);


CREATE TABLE eZArticle_Attribute (
  ID int NOT NULL,
  TypeID int default NULL,
  Name varchar(150) default NULL,
  Placement int default NULL,
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_AttributeValue (
  ID int NOT NULL,
  ArticleID int default NULL,
  AttributeID int default NULL,
  Value text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_BulkMailCategoryLink (
  ArticleCategoryID int NOT NULL default '0',
  BulkMailCategoryID int NOT NULL default '0',
  PRIMARY KEY (ArticleCategoryID,BulkMailCategoryID)
);

CREATE TABLE eZArticle_Category (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Description text,
  ParentID int default '0',
  ExcludeFromSearch int default '0',
  SortMode int NOT NULL default '1',
  OwnerID int default '0',
  Placement int default '0',
  SectionID int NOT NULL default '0',
  ImageID int default NULL,
  EditorGroupID int default '0',
  ListLimit int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_CategoryPermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_CategoryReaderLink (
  ID int NOT NULL,
  CategoryID int NOT NULL default '0',
  GroupID int NOT NULL default '0',
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_Log (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  Created int NOT NULL,
  Message text NOT NULL,
  UserID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_Topic (
  ID int NOT NULL,
  Name varchar(255) default NULL,
  Description text,
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_Type (
  ID int NOT NULL,
  Name varchar(150) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleMediaLink (
  ID int NOT NULL,
  ArticleID int NOT NULL default '0',
  MediaID int NOT NULL default '0',
  Created int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZArticle_ArticleWordLink (
  ArticleID int NOT NULL default '0',
  Frequency float default 0.2,
  WordID int NOT NULL default '0'
);

CREATE TABLE eZArticle_Word (
  ID int NOT NULL default '0',
  Frequency float default 0.2,
  Word varchar(50) NOT NULL default ''
);

CREATE TABLE eZArticle_ArticleKeywordFirstLetter (
  ID int NOT NULL default '0',
  Letter char(1) NOT NULL default ''
);

CREATE INDEX Article_Name ON eZArticle_Article (Name);
CREATE INDEX Article_Published ON eZArticle_Article (Published);

CREATE INDEX Link_ArticleID ON eZArticle_ArticleCategoryLink (ArticleID);
CREATE INDEX Link_CategoryID ON eZArticle_ArticleCategoryLink (CategoryID);
CREATE INDEX Link_Placement ON eZArticle_ArticleCategoryLink (Placement);

CREATE INDEX WordLink_ArticleID ON eZArticle_ArticleWordLink (ArticleID);
CREATE INDEX WordLink_WordID ON eZArticle_ArticleWordLink (WordID);
CREATE INDEX Word_Word ON eZArticle_Word (Word);
CREATE UNIQUE INDEX Word_ID ON eZArticle_Word (ID);

CREATE INDEX ArticlePermission_ObjectID ON eZArticle_ArticlePermission (ObjectID);
CREATE INDEX ArticlePermission_GroupID ON eZArticle_ArticlePermission (GroupID);

CREATE INDEX Def_ArticleID ON eZArticle_ArticleCategoryDefinition (ArticleID);
CREATE INDEX Def_CategoryID ON eZArticle_ArticleCategoryDefinition (CategoryID);
CREATE TABLE eZBug_Bug (
  ID int NOT NULL,
  Name varchar(150),
  Description text,
  UserID int DEFAULT '0' NOT NULL,
  Created int,
  IsHandled int DEFAULT '0' NOT NULL,
  PriorityID int DEFAULT '0' NOT NULL,
  StatusID int DEFAULT '0' NOT NULL,
  IsClosed int DEFAULT '0',
  Version varchar(150) DEFAULT '',
  UserEmail varchar(100) DEFAULT '',
  OwnerID int default NULL,
  IsPrivate int default '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_Bug VALUES (1,'Help!','It dosent work!',33,997357856,0,0,0,'','','','','0');

CREATE TABLE eZBug_BugCategoryLink (
  ID int NOT NULL,
  CategoryID int,
  BugID int,
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_BugCategoryLink VALUES (1,2,1);

CREATE TABLE eZBug_BugFileLink (
  ID int NOT NULL,
  BugID int NOT NULL default '0',
  FileID int NOT NULL default '0',
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBug_BugImageLink (
  ID int NOT NULL,
  BugID int NOT NULL default '0',
  ImageID int NOT NULL default '0',
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBug_BugModuleLink (
  ID int NOT NULL,
  ModuleID int,
  BugID int,
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_BugModuleLink VALUES (1,1,1);

CREATE TABLE eZBug_Category (
  ID int NOT NULL,
  Name varchar(150),
  Description text,
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_Category VALUES (1,'GUI','');
INSERT INTO eZBug_Category VALUES (2,'Feature request','');

CREATE TABLE eZBug_Log (
  ID int NOT NULL,
  BugID int DEFAULT '0' NOT NULL,
  UserID int DEFAULT '0' NOT NULL,
  Description text,
  Created int NOT NULL,
  PRIMARY KEY (ID)
);


CREATE TABLE eZBug_Module (
  ID int NOT NULL,
  ParentID int,
  Name varchar(150),
  Description text,
  OwnerGroupID int default '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_Module VALUES (1,0,'My program',1);

CREATE TABLE eZBug_Priority (
  ID int NOT NULL,
  Name varchar(150) DEFAULT '' NOT NULL,
  Value int,
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_Priority VALUES (1,'High',NULL);
INSERT INTO eZBug_Priority VALUES (2,'Medium',NULL);
INSERT INTO eZBug_Priority VALUES (3,'Low',NULL);

CREATE TABLE eZBug_Status (
  ID int NOT NULL,
  Name varchar(150) DEFAULT '' NOT NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZBug_Status VALUES (1,'Fixed');

CREATE TABLE eZBug_ModulePermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);
CREATE TABLE eZBulkMail_Category (
  ID int NOT NULL,
  Name varchar(200) default NULL,
  Description text,
  IsPublic int NOT NULL,
  IsSingleCategory int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_Mail (
  ID int NOT NULL,
  UserID int default '0',
  FromField varchar(100) default NULL,
  FromName varchar(100) default NULL,
  ReplyTo varchar(100) default NULL,
  Subject varchar(255) default NULL,
  BodyText text,
  SentDate int default 0,
  IsDraft int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_MailCategoryLink (
  MailID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  PRIMARY KEY (MailID,CategoryID)
);

CREATE TABLE eZBulkMail_MailTemplateLink (
  MailID int NOT NULL default '0',
  TemplateID int NOT NULL default '0',
  PRIMARY KEY (MailID)
);

CREATE TABLE eZBulkMail_SentLog (
  ID int NOT NULL,
  MailID int NOT NULL default '0',
  Mail varchar(255) default NULL,
  SentDate int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_SubscriptionAddress (
  ID int NOT NULL,
  Password varchar(50) NOT NULL,
  EMail varchar(255) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_SubscriptionLink (
  CategoryID int NOT NULL default '0',
  AddressID int NOT NULL default '0',
  PRIMARY KEY (AddressID,CategoryID)
);

CREATE TABLE eZBulkMail_Template (
  ID int NOT NULL,
  Name varchar(200) default NULL,
  Description varchar default NULL,
  Header text,
  Footer text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_GroupCategoryLink (
  CategoryID int NOT NULL,
  GroupID int NOT NULL,
  PRIMARY KEY (CategoryID, GroupID)
);

CREATE TABLE eZBulkMail_Forgot (
  ID int NOT NULL,
  Mail varchar(255) NOT NULL,
  Password varchar(50) NOT NULL,
  Hash varchar(33),
  Time int,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_CategoryDelay (
  ID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  AddressID int NOT NULL default '0',
  Delay int default '0',
  MailID int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_Offset (
  ID int NOT NULL,
  Hour int default NULL,
  Daily int default NULL,
  Weekly int default NULL,
  Monthly int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_SubscriptionCategorySettings (
  ID int NOT NULL,
  CategoryID int NOT NULL default '0',
  AddressID int NOT NULL default '0',
  Delay int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_UserCategoryDelay (
  ID int NOT NULL,
  CategoryID int default '0',
  UserID int default '0',
  Delay int default '0',
  MailID int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZBulkMail_UserCategoryLink (
  UserID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  PRIMARY KEY (UserID, CategoryID)
);

CREATE TABLE eZBulkMail_UserCategorySettings (
  ID int NOT NULL,
  CategoryID int default '0',
  UserID int default '0',
  Delay int default '0',
  PRIMARY KEY (ID)
);



CREATE TABLE eZCalendar_Appointment (
  ID int NOT NULL,
  UserID int DEFAULT '0' NOT NULL,
  Date int,
  Duration int,
  AllDay int,
  AppointmentTypeID int DEFAULT '0' NOT NULL,
  EMailNotice int DEFAULT '0',
  IsPrivate int,
  Name varchar(200),
  Description text,
  Priority int DEFAULT '1' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZCalendar_AppointmentType (
  ID int NOT NULL,
  ParentID int DEFAULT '0' NOT NULL,
  Description varchar(200) DEFAULT NULL,
  Name varchar(200),
  PRIMARY KEY (ID)
);
CREATE TABLE eZContact_Company (
  ID int NOT NULL,
  CreatorID int DEFAULT '0' NOT NULL,
  Name varchar(50) DEFAULT '' NOT NULL,
  Comment text,
  ContactType int DEFAULT '0' NOT NULL,
  CompanyNo varchar(20) DEFAULT '' NOT NULL,
  ContactID int DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_CompanyAddressDict (
  CompanyID int NOT NULL,
  AddressID int NOT NULL,
  PRIMARY KEY (CompanyID,AddressID)
);

CREATE TABLE eZContact_CompanyImageDefinition (
  CompanyID int NOT NULL,
  CompanyImageID int DEFAULT '0' NOT NULL,
  LogoImageID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (CompanyID)
);

CREATE TABLE eZContact_CompanyIndex (
  CompanyID int NOT NULL default '0',
  Value varchar(255) NOT NULL default '',
  Type int NOT NULL default '0',
  PRIMARY KEY (CompanyID,Value)
);

CREATE TABLE eZContact_CompanyOnlineDict (
  CompanyID int NOT NULL,
  OnlineID int NOT NULL,
  PRIMARY KEY (CompanyID,OnlineID)
);

CREATE TABLE eZContact_CompanyPersonDict (
  CompanyID int NOT NULL,
  PersonID int NOT NULL,
  PRIMARY KEY (CompanyID,PersonID)
);

CREATE TABLE eZContact_CompanyPhoneDict (
  CompanyID int NOT NULL,
  PhoneID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (CompanyID,PhoneID)
);

CREATE TABLE eZContact_CompanyProjectDict (
  CompanyID int NOT NULL,
  ProjectID int NOT NULL,
  PRIMARY KEY (CompanyID,ProjectID)
);

CREATE TABLE eZContact_CompanyType (
  ID int NOT NULL,
  Name varchar(50) DEFAULT '' NOT NULL,
  Description text,
  ParentID int DEFAULT '0' NOT NULL,
  ImageID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_CompanyTypeDict (
  CompanyTypeID int NOT NULL,
  CompanyID int NOT NULL,
  PRIMARY KEY (CompanyTypeID,CompanyID)
);

CREATE TABLE eZContact_Consultation (
  ID int NOT NULL,
  ShortDesc varchar(100) DEFAULT '' NOT NULL,
  Description text NOT NULL,
  Date int,
  StateID int DEFAULT '0' NOT NULL,
  EmailNotifications varchar(255) DEFAULT '' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_ConsultationCompanyDict (
  ConsultationID int DEFAULT '0' NOT NULL,
  CompanyID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ConsultationID,CompanyID)
);

CREATE TABLE eZContact_ConsultationCompanyUserDict (
  ConsultationID int NOT NULL,
  CompanyID int DEFAULT '0' NOT NULL,
  UserID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ConsultationID,CompanyID,UserID)
);

CREATE TABLE eZContact_ConsultationGroupsDict (
  ConsultationID int NOT NULL,
  GroupID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ConsultationID,GroupID)
);

CREATE TABLE eZContact_ConsultationPersonUserDict (
  ConsultationID int NOT NULL,
  PersonID int DEFAULT '0' NOT NULL,
  UserID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ConsultationID,PersonID,UserID)
);

CREATE TABLE eZContact_ConsultationType (
  ID int NOT NULL,
  Name varchar(50),
  ListOrder int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_ContactType (
  ID int NOT NULL,
  Name varchar(50) DEFAULT '' NOT NULL,
  Description text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_Person (
  ID int NOT NULL,
  FirstName varchar(50),
  LastName varchar(50),
  BirthDate int,
  Comment text,
  ContactTypeID int,
  ImageID int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_PersonAddressDict (
  PersonID int NOT NULL,
  AddressID int NOT NULL,
  PRIMARY KEY (PersonID,AddressID)
);

CREATE TABLE eZContact_PersonIndex (
  PersonID int NOT NULL default '0',
  Value varchar(255) NOT NULL default '',
  Type int NOT NULL default '0',
  PRIMARY KEY (PersonID,Value)
);

CREATE TABLE eZContact_PersonOnlineDict (
  PersonID int NOT NULL,
  OnlineID int NOT NULL,
  PRIMARY KEY (PersonID,OnlineID)
);

CREATE TABLE eZContact_PersonPhoneDict (
  PersonID int NOT NULL,
  PhoneID int NOT NULL,
  PRIMARY KEY (PersonID,PhoneID)
);

CREATE TABLE eZContact_PersonProjectDict (
  PersonID int NOT NULL,
  ProjectID int NOT NULL,
  PRIMARY KEY (PersonID,ProjectID)
);

CREATE TABLE eZContact_ProjectType (
  ID int NOT NULL,
  Name varchar(50) DEFAULT '' NOT NULL,
  ListOrder int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZContact_UserCompanyDict (
  UserID int NOT NULL,
  CompanyID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (UserID,CompanyID)
);

CREATE UNIQUE INDEX eZContactUserCompanyDictCompanyID ON eZContact_UserCompanyDict(CompanyID);
CREATE UNIQUE INDEX eZContactUserCompanyDictUserID ON eZContact_UserCompanyDict(UserID);

CREATE TABLE eZContact_UserPersonDict (
  UserID int NOT NULL,
  PersonID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (UserID,PersonID)
);

CREATE UNIQUE INDEX eZContactUserPersonDictPersonID ON eZContact_UserPersonDict(PersonID);
CREATE UNIQUE INDEX eZContactUserPersonDictUserID ON eZContact_UserPersonDict(UserID);

CREATE TABLE eZContact_CompanyView (
  ID int NOT NULL,
  CompanyID int default '0' NOT NULL,
  Count int default '0' NOT NULL,
  Date int NOT NULL,
  PRIMARY KEY (ID,CompanyID,Date)
);

CREATE TABLE eZContact_CompanyImageDict (
  CompanyID int DEFAULT '0' NOT NULL,
  ImageID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (CompanyID,ImageID)
);

CREATE TABLE eZExample_Test (
  ID int DEFAULT '0' NOT NULL,
  Text varchar(100),
  Created int,
  PRIMARY KEY (ID)
);CREATE TABLE eZFileManager_File (
  ID int DEFAULT '0' NOT NULL,
  Name varchar(200),
  Description varchar(200),
  FileName varchar(200),
  OriginalFileName varchar(200),
  ReadPermission int DEFAULT '1',
  WritePermission int DEFAULT '1',
  UserID int,
  PRIMARY KEY (ID)
);

CREATE TABLE eZFileManager_FileFolderLink (
  ID int DEFAULT '0' NOT NULL,
  FolderID int DEFAULT '0' NOT NULL,
  FileID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZFileManager_FilePageViewLink (
  ID int DEFAULT '0' NOT NULL,
  PageViewID int DEFAULT '0' NOT NULL,
  FileID int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZFileManager_Folder (
  ID int DEFAULT '0' NOT NULL,
  Name varchar(100),
  Description text,
  ParentID int NOT NULL DEFAULT '0',
  ReadPermission int DEFAULT '1',
  WritePermission int DEFAULT '1',
  SectionID int DEFAULT '1',
  UserID int,
  PRIMARY KEY (ID)
);

CREATE TABLE eZFileManager_FolderPermission (
  ID int DEFAULT '0' NOT NULL,
  ObjectID int DEFAULT NULL,
  GroupID int DEFAULT NULL,
  ReadPermission int DEFAULT '0',
  WritePermission int DEFAULT '0',
  UploadPermission int DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZFileManager_FilePermission (
  ID int DEFAULT '0' NOT NULL,
  ObjectID int DEFAULT NULL,
  GroupID int DEFAULT NULL,
  ReadPermission int DEFAULT '0',
  WritePermission int DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZForm_Form (
  ID int NOT NULL,
  Name varchar(255) default NULL,
  Receiver varchar(255) default NULL,
  CC varchar(255) default NULL,
  Sender varchar(255) default NULL,
  SendAsUser varchar(1) default NULL,
  CompletedPage varchar(255) default NULL,
  InstructionPage varchar(255) default NULL,
  Counter int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZForm_FormElement (
  ID int NOT NULL,
  Name varchar(255) default NULL,
  Required int default '0',
  ElementTypeID int default NULL,
  Size int default '0',	
  Break int default '0',		
  PRIMARY KEY (ID)
);

CREATE TABLE eZForm_FormElementDict (
  ID int NOT NULL,
  Name varchar(255) default NULL,
  FormID int default NULL,
  ElementID int default NULL,
  Placement int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZForm_FormElementType (
  ID int NOT NULL,
  Name varchar(255) default NULL,
  Description text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZForm_FormElementFixedValues (
  ID int NOT NULL default '0',
  Value varchar(80) default NULL,
  PRIMARY KEY (ID)
);
 
CREATE TABLE eZForm_FormElementFixedValueLink (
  ID int NOT NULL default '0',
  ElementID int default '0',
  FixedValueID int default '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZForm_FormElementType VALUES (1,'text_field_item','HTML text field (input type="text")');
INSERT INTO eZForm_FormElementType VALUES (2,'text_area_item','HTML text area (textarea)');
INSERT INTO eZForm_FormElementType VALUES (3,'dropdown_item','HTML Select');
INSERT INTO eZForm_FormElementType VALUES (4,'multiple_select_item','HTML Multiple Select');
INSERT INTO eZForm_FormElementType VALUES (5,'checkbox_item','HTML CheckBox');
INSERT INTO eZForm_FormElementType VALUES (6,'radiobox_item','HTML RadioBox');

CREATE TABLE eZForum_Category (
  ID int NOT NULL,
  Name varchar(20) DEFAULT NULL,
  Description varchar(40) DEFAULT NULL,
  IsPrivate int DEFAULT NULL,
  SectionID int DEFAULT 1,
  PRIMARY KEY (ID)
);

CREATE TABLE eZForum_Forum (
  ID int NOT NULL,
  Name varchar(20) NOT NULL DEFAULT '',
  Description varchar(40) DEFAULT NULL,
  IsPrivate int DEFAULT NULL,
  ModeratorID int NOT NULL DEFAULT '0',
  IsModerated int NOT NULL DEFAULT '0',
  GroupID int DEFAULT '0',
  IsAnonymous int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZForum_ForumCategoryLink (
  ID int NOT NULL,
  ForumID int NOT NULL DEFAULT '0',
  CategoryID int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZForum_Message (
  ID int NOT NULL,
  ForumID int NOT NULL DEFAULT '0',
  Topic varchar(60) DEFAULT NULL,
  Body text,
  UserName varchar(60) DEFAULT NULL,
  UserID int DEFAULT NULL,
  Parent int DEFAULT NULL,
  EmailNotice int NOT NULL DEFAULT '0',
  PostingTime int NOT NULL,
  TreeID int DEFAULT NULL,
  ThreadID int DEFAULT NULL,
  Depth int DEFAULT NULL,
  IsApproved int NOT NULL DEFAULT '1',
  IsTemporary int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZForum_MessageWordLink (
  MessageID int NOT NULL DEFAULT '0',
  Frequency float DEFAULT 0.2,
  WordID int NOT NULL DEFAULT '0'
);

CREATE TABLE eZForum_Word (
  ID int NOT NULL DEFAULT '0',
  Frequency float DEFAULT 0.2,
  Word varchar(50) NOT NULL DEFAULT ''
);

CREATE INDEX Forum_TreeID ON eZForum_Message (TreeID);
CREATE INDEX Forum_PostingTime ON eZForum_Message (PostingTime);
CREATE INDEX Forum_ThreadID ON eZForum_Message (ThreadID);
CREATE INDEX Forum_Depth ON eZForum_Message (Depth);
CREATE INDEX Forum_ForumID ON eZForum_Message (ForumID);

CREATE INDEX ForumWordLink_MessageID ON eZForum_MessageWordLink (MessageID);
CREATE INDEX ForumWordLink_WordID ON eZForum_MessageWordLink (WordID);
CREATE INDEX ForumWord_Word ON eZForum_Word (Word);
CREATE UNIQUE INDEX ForumWord_ID ON eZForum_Word (ID);
CREATE TABLE eZImageCatalogue_Category (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Description text,
  ParentID int default NULL,
  UserID int default NULL,
  WritePermission int default '1',
  ReadPermission int default '1',
  SectionID int default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_CategoryPermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  UploadPermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_Image (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Caption text,
  Description text,
  PhotographerID int,
  Created int,
  FileName varchar(100) default NULL,
  OriginalFileName varchar(100) default NULL,
  ReadPermission int default '1',
  WritePermission int default '1',
  UserID int default NULL,
  Keywords varchar(255) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_ImagePermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_ImageCategoryLink (
  ID int NOT NULL,
  CategoryID int default NULL,
  ImageID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_ImageVariation (
  ID int NOT NULL,
  ImageID int default NULL,
  VariationGroupID int default NULL,
  ImagePath varchar(100) default NULL,
  Width int default NULL,
  Height int default NULL,
  Modification varchar(20) NOT NULL default '',
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_ImageVariationGroup (
  ID int NOT NULL,
  Width int default NULL,
  Height int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_ImageMap (
  ID int NOT NULL,
  ImageID int default NULL,
  Link varchar(50) NOT NULL,
  AltText text,
  Shape int NOT NULL,
  StartPosX int NOT NULL,
  StartPosY int NOT NULL,
  EndPosX int NOT NULL,
  EndPosY int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZImageCatalogue_ImageCategoryDefinition (
  ID int NOT NULL,
  ImageID int default NULL,
  CategoryID int default NULL,
  PRIMARY KEY (ID)
);

CREATE INDEX ImageCatalogue_ImageVariationGroup_VariationGroupID ON  eZImageCatalogue_ImageVariation  (VariationGroupID);
CREATE INDEX ImageCatalogue_ImageVariationGroup_ImageID  ON  eZImageCatalogue_ImageVariation  (ImageID);
CREATE INDEX ImageCatalogue_ImageVariationGroup_ModificationID ON  eZImageCatalogue_ImageVariation  (Modification);
CREATE TABLE eZLink_Hit (
  ID int NOT NULL,
  Link int default NULL,
  Time int NOT NULL,
  RemoteIP varchar(15) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZLink_Link (
  ID int NOT NULL ,
  Name varchar(100) default NULL,
  Description text,
  KeyWords text default NULL,
  Modified int NOT NULL,
  Accepted int,
  Created int default NULL,
  Url text default NULL,
  ImageID int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZLink_LinkCategoryDefinition (
  ID int NOT NULL ,
  LinkID int NOT NULL,
  CategoryID int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZLink_LinkCategoryLink (
  ID int NOT NULL ,
  LinkID int NOT NULL,
  CategoryID int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZLink_Category (
  ID int NOT NULL,
  Parent int NOT NULL,
  Name varchar(100) default NULL,
  ImageID int NOT NULL,
  Description varchar(200),
  SectionID int default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZLink_Attribute (
  ID int NOT NULL,
  TypeID int default NULL,
  Name varchar(150) default NULL,
  Created int default NULL,
  Placement int default 0,
  Unit varchar(8) default NULL,
  PRIMARY KEY (ID)
);


CREATE TABLE eZLink_AttributeValue (
  ID int NOT NULL,
  LinkID int default NULL,
  AttributeID int default NULL,
  Value varchar(200) default NULL,
  PRIMARY KEY (ID)
);


CREATE TABLE eZLink_LinkGroup (
  ID int NOT NULL,
  Parent int default '0',
  Title varchar(100) default NULL,
  ImageID int default NULL,
  Description text,
  PRIMARY KEY (ID)
);


CREATE TABLE eZLink_Type (
  ID int NOT NULL,
  Name varchar(150) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZLink_TypeLink (
  ID int NOT NULL,
  LinkID int default NULL,
  TypeID int default NULL,
  PRIMARY KEY (ID)
);
CREATE TABLE eZMail_Mail (
  ID int NOT NULL,
  UserID int default '0', 
  ToField varchar(100),
  FromField varchar(100),
  FromName varchar(100),
  Cc varchar(255),
  Bcc varchar(255),
  MessageID varchar(200),
  Reference varchar(100),
  ReplyTo varchar(100),
  Subject varchar(255),
  BodyText text,
  Status int default '0' NOT NULL,
  Size int default '0',
  UDate int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZMail_Account (
  ID int NOT NULL,
  UserID int default '0',
  Name varchar(200) default NULL,
  LoginName varchar(100),
  Password varchar(50),
  Server varchar(150),
  ServerPort int default '0',
  DeleteFromServer int default '1',
  ServerType int, 
  IsActive int default '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZMail_Folder (
  ID int NOT NULL,
  UserID int default '0',
  ParentID int default '0',
  Name varchar(200) default NULL,
  FolderType int, 
  PRIMARY KEY (ID)
);

CREATE TABLE eZMail_MailFolderLink (
  MailID int NOT NULL default '0',
  FolderID int NOT NULL default '0',
  PRIMARY KEY (MailID,FolderID)
);

CREATE TABLE eZMail_MailAttachmentLink (
  MailID int NOT NULL default '0',
  FileID int NOT NULL default '0',
  PRIMARY KEY (MailID,FileID)
);

CREATE TABLE eZMail_MailImageLink (
  MailID int NOT NULL default '0',
  ImageID int NOT NULL default '0',
  PRIMARY KEY (MailID,ImageID)
);

CREATE TABLE eZMail_FilterRule (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  FolderID int NOT NULL default '0',
  HeaderType int default '0',
  CheckType int default '0',
  MatchValue varchar(200),
  IsActive int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZMail_FetchedMail (
  UserID int NOT NULL,
  MessageID varchar(100) NOT NULL,
  PRIMARY KEY (UserID, MessageID)
);

CREATE TABLE eZMail_MailContactLink (
  ID int NOT NULL,
  MailID int NOT NULL default '0',
  PersonID int,
  CompanyID int,
  PRIMARY KEY (ID)
);
CREATE TABLE eZMediaCatalogue_Attribute (
  ID int NOT NULL,
  TypeID int default NULL,
  Name varchar(150) default NULL,
  Created int default NULL,
  Placement int default '0',
  Unit varchar(8) default NULL,
  DefaultValue varchar(100) default NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZMediaCatalogue_Attribute VALUES (1,1,'width',996137421,0,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (2,1,'height',996137432,1,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (3,1,'type',996137440,2,'','video/quicktime');
INSERT INTO eZMediaCatalogue_Attribute VALUES (4,1,'controller',996137447,3,'','true');
INSERT INTO eZMediaCatalogue_Attribute VALUES (5,1,'autoplay',996137455,4,'','true');
INSERT INTO eZMediaCatalogue_Attribute VALUES (6,2,'width',996137483,5,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (7,2,'height',996137631,6,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (8,2,'controller',996137641,7,'','true');
INSERT INTO eZMediaCatalogue_Attribute VALUES (9,2,'loop',996137662,8,'','false');
INSERT INTO eZMediaCatalogue_Attribute VALUES (10,2,'autoplay',996137674,9,'','true');
INSERT INTO eZMediaCatalogue_Attribute VALUES (11,3,'quality',996137872,10,'','high');
INSERT INTO eZMediaCatalogue_Attribute VALUES (12,3,'pluginspage',996137887,11,'','http://www.macromedia.com/shockwave/download/index.cgi?P1_=Prod_Version=3DShockwaveFlash"');
INSERT INTO eZMediaCatalogue_Attribute VALUES (13,3,'type',996137896,12,'','application/x-shockwave-flash');
INSERT INTO eZMediaCatalogue_Attribute VALUES (14,3,'width',996137906,13,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (15,3,'height',996137917,14,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (16,2,'type',996139826,15,'','application/x-mplayer2');
INSERT INTO eZMediaCatalogue_Attribute VALUES (17,4,'width',1004640070,16,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (18,4,'height',1004640076,17,'','');
INSERT INTO eZMediaCatalogue_Attribute VALUES (19,4,'controls',1004640087,18,'','ImageWindow');
INSERT INTO eZMediaCatalogue_Attribute VALUES (20,4,'autostart',1004640100,19,'','true');

CREATE TABLE eZMediaCatalogue_Category (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Description text,
  ParentID int default NULL,
  UserID int default NULL,
  WritePermission int default '1',
  ReadPermission int default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_Media (
  ID int NOT NULL,		    
  Name varchar(100) default NULL,
  Caption text,
  Description text,
  FileName varchar(100) default NULL,
  OriginalFileName varchar(100) default NULL,
  ReadPermission int default '1',
  WritePermission int default '1',
  UserID int default NULL,
  PhotographerID int default NULL,
  Created int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_CategoryPermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_MediaCategoryDefinition (
  ID int NOT NULL,
  MediaID int default NULL,
  CategoryID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_MediaCategoryLink (
  ID int NOT NULL,		    
  CategoryID int default NULL,
  MediaID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_MediaPermission (
  ID int NOT NULL,		    
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_Type (
  ID int NOT NULL,		  
  Name varchar(150) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZMediaCatalogue_TypeLink (
  ID int NOT NULL,		  
  TypeID int default 0,
  MediaID int default 0,
  PRIMARY KEY (ID)
);

INSERT INTO eZMediaCatalogue_Type VALUES (1,'QuickTime');
INSERT INTO eZMediaCatalogue_Type VALUES (2,'Windows Media Player');
INSERT INTO eZMediaCatalogue_Type VALUES (3,'ShockWave Flash');
INSERT INTO eZMediaCatalogue_Type VALUES (4,'Real Player');

CREATE TABLE eZMediaCatalogue_AttributeValue (
  ID int NOT NULL,
  MediaID int default NULL,
  AttributeID int default NULL,
  Value varchar(200) default NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZMediaCatalogue_AttributeValue VALUES (33,1,16,'application/x-mplayer2');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (32,1,10,'true');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (31,1,9,'false');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (30,1,8,'false');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (29,1,7,'300');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (28,1,6,'300');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (7,3,11,'high');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (8,3,12,'http://www.macromedia.com/shockwave/download/index.cgi?P1_P rod_Version=ShockwaveFlash');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (9,3,13,'application/x-shockwave-flash');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (10,3,14,'500');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (11,3,15,'400');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (38,2,15,'400');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (37,2,14,'500');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (36,2,13,'application/x-shockwave-flash');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (35,2,12,'http://www.macromedia.com/shockwave/download/index.cgi?P1_P rod_Version=ShockwaveFlash');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (34,2,11,'high');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (17,4,1,'500');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (18,4,2,'400');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (19,4,3,'video/quicktime');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (20,4,4,'true');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (21,4,5,'true');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (44,5,16,'application/x-mplayer2');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (43,5,10,'true');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (42,5,9,'false');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (41,5,8,'false');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (40,5,7,'300');
INSERT INTO eZMediaCatalogue_AttributeValue VALUES (39,5,6,'300');CREATE TABLE eZMessage (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  Subject varchar(255) NOT NULL default '',
  Description text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZMessage_Message (
  ID int NOT NULL,
  FromUserID int NOT NULL default '0',
  ToUserID int NOT NULL default '0',
  Created int NOT NULL,
  IsRead int NOT NULL default '0',
  Subject varchar(255) NOT NULL default '',
  Description text,
  PRIMARY KEY (ID)
);
CREATE TABLE eZModule_LinkModuleType (
  ID int NOT NULL,
  Module varchar(40) NOT NULL default '',
  Type varchar(40) NOT NULL default '',
  PRIMARY KEY (ID,Module,Type)
);
CREATE TABLE eZNewsFeed_Category (
  ID int NOT NULL,
  Name varchar(150) NOT NULL default '',
  Description text,
  ParentID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZNewsFeed_Category VALUES (1,'News from freshmeat','',0);

CREATE TABLE eZNewsFeed_News (
  ID int NOT NULL,
  IsPublished int NOT NULL default '0',
  PublishingDate int NOT NULL,
  OriginalPublishingDate int NOT NULL,
  Name varchar(150) NOT NULL default '',
  Intro text,
  KeyWords varchar(200) default NULL,
  URL varchar(200) default NULL,
  Origin varchar(150) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZNewsFeed_NewsCategoryLink (
  ID int NOT NULL,
  NewsID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZNewsFeed_SourceSite (
  ID int DEFAULT '0' NOT NULL,
  URL varchar(250),
  Login varchar(30),
  Password varchar(30),
  CategoryID int NOT NULL default '0',
  Name varchar(100),
  Decoder varchar(50),
  IsActive int default '0',
  AutoPublish int NOT NULL default '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZNewsFeed_SourceSite VALUES (1,'http://freshmeat.net/backend/fm.rdf','','',1,'Freshmeat','',0,0);
CREATE TABLE eZPoll_MainPoll (
  ID int NOT NULL,
  PollID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZPoll_Poll (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Description text,
  Anonymous int NOT NULL default '0',
  IsEnabled int NOT NULL default '0',
  IsClosed int NOT NULL default '0',
  ShowResult int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZPoll_PollChoice (
  ID int NOT NULL,
  PollID int default NULL,
  Name varchar(100) default NULL,
  Offs int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZPoll_Vote (
  ID int NOT NULL,
  PollID int default NULL,
  ChoiceID int default NULL,
  VotingIP varchar(20) default NULL,
  UserID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZPoll_PollForumLink (
  ID int NOT NULL,
  PollID int NOT NULL default '0',
  ForumID int NOT NULL default '0',
  PRIMARY KEY (ID)
);
CREATE TABLE eZQuiz_Alternative (
  ID int NOT NULL,
  QuestionID int default '0',
  Name varchar(100) default NULL,
  IsCorrect int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZQuiz_Answer (
  ID int NOT NULL,
  UserID int default '0',
  AlternativeID int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZQuiz_Game (
  ID int NOT NULL,
  Name varchar(30) default NULL,
  Description text,
  StartDate int default NULL,
  StopDate int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZQuiz_Question (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  GameID int default '0',
  Placement int default '0',
  Score int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZQuiz_Score (
  ID int NOT NULL,
  GameID int default '0',
  UserID int default '0',
  TotalScore int default '0',
  LastQuestion int default '0',
  FinishedGame int default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZQuiz_AllTimeScore (
  ID int NOT NULL,
  UserID int default '0',
  TotalScore int default '0',
  GamesPlayed int default '0',
  PRIMARY KEY (ID)
);
CREATE TABLE eZSession_Session(
  ID int NOT NULL,
  Hash varchar(33) default NULL,
  Created int NOT NULL,
  LastAccessed int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZSession_SessionVariable(
  ID int NOT NULL,
  SessionID int not NULL,
  Name varchar(25) not NULL,
  Value text not NULL,
  GroupName varchar(50) default NULL,
  PRIMARY KEY (ID)
);


CREATE TABLE eZSession_Preferences (
  ID int NOT NULL,
  UserID int NOT NULL,
  Name varchar(50) default NULL,
  Value varchar(255) default NULL,
  GroupName varchar(50) default NULL,
  PRIMARY KEY (ID)
);
CREATE TABLE eZSiteManager_Section (
  ID int NOT NULL,
  Name varchar(200) default NULL,
  Created int NOT NULL,
  Description varchar(255),
  SiteDesign varchar(30) default NULL,
  TemplateStyle varchar(30) default NULL,
  Language varchar(5) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZSiteManager_SectionFrontPageRow (
  ID int NOT NULL default '0',
  SettingID int default '0',
  CategoryID int default '0',
  Placement int default '0',
  PRIMARY KEY (ID)
);
 
CREATE TABLE eZSiteManager_SectionFrontPageRowLink (
  ID int NOT NULL default '0',
  FrontPageID int default '0',
  SectionID int default '0',
  PRIMARY KEY (ID)
);
 
CREATE TABLE eZSiteManager_SectionFrontPageSetting (
  ID int NOT NULL default '0',
  Name varchar(30) default NULL,
  PRIMARY KEY (ID)
);
 
INSERT INTO eZSiteManager_SectionFrontPageSetting VALUES (1,'1column');
INSERT INTO eZSiteManager_SectionFrontPageSetting VALUES (2,'2column');
INSERT INTO eZSiteManager_SectionFrontPageSetting VALUES (3,'1short');
INSERT INTO eZSiteManager_SectionFrontPageSetting VALUES (4,'1columnProduct');
INSERT INTO eZSiteManager_SectionFrontPageSetting VALUES (5,'2columnProduct');
INSERT INTO eZSiteManager_SectionFrontPageSetting VALUES (6,'ad');

INSERT INTO eZSiteManager_Section ( ID,  Name, Created, Description, SiteDesign, TemplateStyle ) VALUES ( 1, 'Standard Section', 1, NULL, 'standard', NULL );


CREATE TABLE eZSiteManager_Menu (
  ID int NOT NULL default '0',
  Name varchar(40) default NULL,
  Link varchar(40) default NULL,
  Type int default '1',
  ParentID int default '0',
  PRIMARY KEY  (ID)
);

CREATE TABLE eZSiteManager_MenuType (
  ID int NOT NULL default '0',
  Name varchar(30) default NULL,
  PRIMARY KEY  (ID)
);

alter table eZStats_Archive_RefererURL add Language varchar(5) default NULL;
alter table eZStats_Archive_UniqueVisits add Language varchar(5) default NULL;CREATE TABLE eZStats_BrowserType (
  ID int NOT NULL,
  BrowserType varchar(250) NOT NULL default '',
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_PageView (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  BrowserTypeID int NOT NULL default '0',
  RemoteHostID int NOT NULL default '0',
  RefererURLID int NOT NULL default '0',
  Date int NOT NULL,
  RequestPageID int NOT NULL default '0',
  DateValue int NOT NULL,
  TimeValue int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_RefererURL (
  ID int NOT NULL,
  Domain varchar(100) default NULL,
  URI varchar(200) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_RemoteHost (
  ID int NOT NULL,
  IP varchar(15) default NULL,
  HostName varchar(150) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_RequestPage (
  ID int NOT NULL,
  URI varchar(250) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_RequestedPage (
  ID int NOT NULL,
  Month int,
  URI varchar(250) default NULL,
  Count int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_PageView (
  ID int NOT NULL,
  Hour int NOT NULL,
  Count int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_UniqueVisits (
  ID int NOT NULL,
  Day int NOT NULL,
  Count int NOT NULL DEFAULT '0',
  Language varchar(5) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_BrowserType (
  ID int NOT NULL,
  Browser varchar(250) default NULL,
  Count int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_RefererURL (
  ID int NOT NULL,
  Month int NOT NULL,
  Domain varchar(100) default NULL,
  URI varchar(200) default NULL,
  Count int  NOT NULL DEFAULT '0',
  Language varchar(5) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_Users (
  ID int NOT NULL,
  UserID int NOT NULL,
  Month int NOT NULL,
  Count int DEFAULT '0' NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZStats_Archive_RemoteHost (
  ID int NOT NULL,
  IP varchar(15) default NULL,
  HostName varchar(150) default NULL,
  Count int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);
CREATE TABLE eZTodo_Category (
  ID int NOT NULL,
  Description text,
  Name varchar(30),
  PRIMARY KEY (ID)
);

CREATE TABLE eZTodo_Priority (
  ID int NOT NULL,
  Name varchar(30),
  PRIMARY KEY (ID)
);

CREATE TABLE eZTodo_Todo (
  ID int NOT NULL,
  Category int,
  Priority int,
  Permission int default 0,
  UserID int,
  OwnerID int,
  Name varchar(30),
  Date int,
  Due int,
  Description text,
  Status int DEFAULT '0',
  IsPublic int NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTodo_Status (
  ID int NOT NULL,
  Name varchar(30),
  Description text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTodo_Log (
  ID int NOT NULL,
  Log text,
  Created int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTodo_TodoLogLink (
  ID int NOT NULL,
  TodoID int default NULL,
  LogID int default NULL,
  PRIMARY KEY (ID)
);

INSERT INTO eZTodo_Status (Description, ID, Name) VALUES (NULL,1,'Not done');
INSERT INTO eZTodo_Status (Description, ID, Name) VALUES (NULL,2,'Done');

INSERT INTO eZTodo_Priority (ID, Name) VALUES (1,'Low');
INSERT INTO eZTodo_Priority (ID, Name) VALUES (2,'Medium');
INSERT INTO eZTodo_Priority (ID, Name) VALUES (3,'High');
CREATE TABLE eZTrade_AlternativeCurrency (
  ID int NOT NULL,
  Name varchar(100) NOT NULL default '',
  PrefixSign int NOT NULL default '0',
  Sign varchar(5) NOT NULL default '',
  Value decimal NOT NULL default '1',
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Attribute (
  ID int NOT NULL,
  TypeID int default NULL,
  Name varchar(150) default NULL,
  Created int NOT NULL,
  Placement int default '0',
  AttributeType int default '1',
  Unit varchar(8) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_AttributeValue (
  ID int NOT NULL,
  ProductID int default NULL,
  AttributeID int default NULL,
  Value varchar(200) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Cart (
  ID int NOT NULL,
  SessionID int default NULL,
  CompanyID int default '0',
  PersonID int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_CartItem (
  ID int NOT NULL,
  ProductID int default NULL,
  Count int default NULL,
  CartID int default NULL,
  WishListItemID int NOT NULL default '0',
  VoucherInformationID int NOT NULL default '0',	
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_CartOptionValue (
  ID int NOT NULL,
  CartItemID int default NULL,
  OptionID int default NULL,
  OptionValueID int default NULL,
  RemoteID varchar(100) default NULL,
  Count int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Category (
  ID int NOT NULL,
  Parent int default NULL,
  Description text,
  Name varchar(100) default NULL,
  ImageID int default NULL,
  SortMode int NOT NULL default '1',
  RemoteID varchar(100) default NULL,
  SectionID int NOT NULL default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_CategoryOptionLink (
  ID int NOT NULL,
  CategoryID int default NULL,
  OptionID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_CategoryPermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductFormDict (
  ID int NOT NULL,
  ProductID int default NULL,
  FormID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_GroupPriceLink (
  GroupID int NOT NULL default '0',
  PriceID int NOT NULL default '0',
  PRIMARY KEY (GroupID,PriceID)
);

CREATE TABLE eZTrade_Link (
  ID int NOT NULL,
  SectionID int NOT NULL default '0',
  Name varchar(60) default NULL,
  URL text,
  Placement int NOT NULL default '0',
  ModuleType int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_LinkSection (
  ID int NOT NULL,
  Name varchar(30) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Option (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Description text,
  RemoteID varchar(100) default NULL,	
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OptionValue (
  ID int NOT NULL,
  OptionID int default NULL,
  Placement int NOT NULL default '1',
  Price decimal(10,2) default NULL,
  RemoteID varchar(100) NOT NULL default '',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OptionValueContent (
  ID int NOT NULL,
  Value varchar(30) default NULL,
  ValueID int NOT NULL default '0',
  Placement int NOT NULL default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OptionValueHeader (
  ID int NOT NULL,
  Name varchar(30) default NULL,
  OptionID int NOT NULL default '0',
  Placement int NOT NULL default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Order (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  ShippingCharge decimal(10,2) default NULL,
  PaymentMethod text,
  ShippingAddressID int default NULL,
  BillingAddressID int default NULL,
  IsExported int NOT NULL default '0',
  Date int default NULL,
  ShippingVAT decimal NOT NULL default '0',
  ShippingTypeID int NOT NULL default '0',
  IsVATInc int default '0',
  CompanyID int default '0',
  PersonID int default '0',
  Comment text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OrderItem (
  ID int NOT NULL,
  OrderID int NOT NULL default '0',
  Count int default NULL,
  Price decimal(10,2) default NULL,
  ProductID int default NULL,
  VAT decimal(10,2) default NULL,
  ExpiryDate int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OrderOptionValue (
  ID int NOT NULL,
  OrderItemID int default NULL,
  OptionName text default NULL,
  ValueName text default NULL,
  RemoteID varchar(100) default '',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OrderStatus (
  ID int NOT NULL,
  StatusID int NOT NULL default '0',
  Altered int NOT NULL,
  AdminID int default NULL,
  OrderID int NOT NULL default '0',
  Comment text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_OrderStatusType (
  ID int NOT NULL,
  Name varchar(25) NOT NULL default '',
  PRIMARY KEY (ID)
);

INSERT INTO eZTrade_OrderStatusType VALUES (1,'intl-initial');
INSERT INTO eZTrade_OrderStatusType VALUES (2,'intl-sendt');
INSERT INTO eZTrade_OrderStatusType VALUES (3,'intl-payed');
INSERT INTO eZTrade_OrderStatusType VALUES (4,'intl-undefined');

CREATE TABLE eZTrade_PreOrder (
  ID int NOT NULL,
  Created int NOT NULL,
  OrderID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_PriceGroup (
  ID int NOT NULL,
  Name varchar(50) default NULL,
  Description text,
  Placement int NOT NULL default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductPriceRange (
  ID int NOT NULL,
  Min int default '0',
  Max int default '0',
  ProductID int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Product (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Contents text,
  Brief text,
  Description text,
  Keywords varchar(100) default NULL,
  Price decimal(10,5) default NULL,
  ShowPrice int default NULL,
  ShowProduct int default NULL,
  Discontinued int default NULL,
  ProductNumber varchar(100) default NULL,
  ExternalLink varchar(200) default NULL,
  IsHotDeal int default '0',
  RemoteID varchar(100) default NULL,
  VATTypeID int NOT NULL default '0',
  ShippingGroupID int NOT NULL default '0',
  ProductType int default '1',
  ExpiryTime int NOT NULL default '0',
  Published int default NULL,
  IncludesVAT int default '1',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductCategoryDefinition (
  ID int NOT NULL,
  ProductID int NOT NULL default '0',
  CategoryID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductCategoryLink (
  ID int NOT NULL,
  CategoryID int default NULL,
  ProductID int default NULL,
  Placement int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductImageDefinition (
  ProductID int NOT NULL default '0',
  ThumbnailImageID int default NULL,
  MainImageID int default NULL,
  PRIMARY KEY (ProductID)
);

CREATE TABLE eZTrade_ProductImageLink (
  ID int NOT NULL,
  ProductID int default NULL,
  Placement int NOT NULL default '0',
  ImageID int default NULL,
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductOptionLink (
  ID int NOT NULL,
  ProductID int default NULL,
  OptionID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductPermission (
  ID int NOT NULL,
  ObjectID int default NULL,
  GroupID int default NULL,
  ReadPermission int default '0',
  WritePermission int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductPermissionLink (
  ID int NOT NULL default '0',
  ProductID int NOT NULL default '0',
  GroupID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ProductPriceLink (
  ProductID int NOT NULL default '0',
  PriceID int NOT NULL default '0',
  OptionID int NOT NULL default '0',
  ValueID int NOT NULL default '0',
  Price decimal(10,2) default NULL,
  PRIMARY KEY (ProductID,PriceID,OptionID,ValueID)
);

CREATE TABLE eZTrade_ProductQuantityDict (
  ProductID int NOT NULL default '0',
  QuantityID int NOT NULL default '0',
  PRIMARY KEY (ProductID,QuantityID)
);

CREATE TABLE eZTrade_ProductSectionDict (
  ID int NOT NULL default '0',
  ProductID int NOT NULL default '0',
  SectionID int NOT NULL default '0',
  Placement int NOT NULL default '0',
  PRIMARY KEY (ProductID,SectionID)
);

CREATE TABLE eZTrade_ProductTypeLink (
  ID int NOT NULL,
  ProductID int default NULL,
  TypeID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Quantity (
  ID int NOT NULL,
  Quantity int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_QuantityRange (
  ID int NOT NULL,
  MaxRange int default NULL,
  Name varchar(30) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ShippingGroup (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ShippingType (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Created int NOT NULL,
  IsDefault int NOT NULL default '0',
  VATTypeID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ShippingValue (
  ID int NOT NULL,
  ShippingGroupID int NOT NULL default '0',
  ShippingTypeID int NOT NULL default '0',
  StartValue decimal NOT NULL default '0',
  AddValue decimal NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_Type (
  ID int NOT NULL,
  Name varchar(150) default NULL,
  Description text,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_VATType (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  VATValue decimal NOT NULL default '0',
  Created int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_ValueQuantityDict (
  ValueID int NOT NULL default '0',
  QuantityID int NOT NULL default '0',
  PRIMARY KEY (ValueID,QuantityID)
);

CREATE TABLE eZTrade_Voucher (
  ID int NOT NULL default '0',
  Created int default '0',
  Price float default '0',
  Available int default '0',
  KeyNumber varchar(50) default NULL,
  MailMethod int default '1',
  UserID int default '0',
  ProductID int default '0',
  VoucherID int default '0',	
  TotalValue int default '0',	
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_VoucherInformation (
  ID int NOT NULL default '0',
  VoucherID int default '0',
  OnlineID int default '0',
  ToAddressID int default '0',
  Description text,
  PreOrderID int default '0',
  Price int default '0',
  MailMethod int default '1',
  ToName varchar(80) default NULL,
  FromName varchar(80) default NULL,
  FromOnlineID int default '0',
  FromAddressID int default '0',
  ProductID int default '0',
  PRIMARY KEY  (ID)
);

CREATE TABLE eZTrade_VoucherUsed (
  ID int NOT NULL default '0',
  Used int default '0',
  Price float default NULL,
  VoucherID int default '0',
  OrderID int default '0',
  UserID int default '0',
  PRIMARY KEY  (ID)
);

CREATE TABLE eZTrade_WishList (
  ID int NOT NULL,
  UserID int default NULL,
  IsPublic int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_WishListItem (
  ID int NOT NULL,
  ProductID int default NULL,
  Count int default NULL,
  WishListID int default NULL,
  IsBought int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZTrade_WishListOptionValue (
  ID int NOT NULL,
  WishListItemID int default NULL,
  OptionID int default NULL,
  OptionValueID int default NULL,
  PRIMARY KEY (ID)
);

CREATE UNIQUE INDEX OrderStatusType_Name_ID ON eZTrade_OrderStatusType (Name);   

CREATE INDEX TradeCategory_Name ON eZTrade_Category (Name);
CREATE INDEX TradeCategory_Parent ON eZTrade_Category (Parent);
CREATE INDEX TradeProduct_Name ON eZTrade_Product (Name);
CREATE INDEX TradeProduct_Keywords ON eZTrade_Product (Keywords);
CREATE INDEX TradeProduct_Price ON eZTrade_Product (Price);
CREATE INDEX TradeProductLink_CategoryID ON eZTrade_ProductCategoryLink (CategoryID);
CREATE INDEX TradeProductLink_ProductID ON eZTrade_ProductCategoryLink (ProductID);
CREATE INDEX TradeProductOption_ProductID ON eZTrade_ProductOptionLink (ProductID);
CREATE INDEX TradeProductOption_OptionID ON eZTrade_ProductOptionLink (OptionID);
CREATE INDEX TradeProductOption_OptionValueContent ON  eZTrade_OptionValueContent  (ValueID);
CREATE INDEX Trade_CartSessionID ON  eZTrade_Cart  (SessionID);
CREATE INDEX TradeProductDef_ProductID ON eZTrade_ProductCategoryDefinition (ProductID);
CREATE INDEX TradeProductPermission_ObjectID ON eZTrade_ProductPermission (ObjectID);
CREATE INDEX TradeProductPermission_GroupID ON eZTrade_ProductPermission (GroupID);
CREATE INDEX TradeProductPermission_WritePermission ON eZTrade_ProductPermission (WritePermission);
CREATE INDEX TradeProductPermission_ReadPermission ON eZTrade_ProductPermission (ReadPermission);

CREATE TABLE eZURLTranslator_URL (
  ID int NOT NULL,
  Source varchar(200) default NULL,
  Dest varchar(200) default NULL,
  Created int NOT NULL,
  PRIMARY KEY (ID)
);
CREATE TABLE eZUser_User (
  ID int NOT NULL,
  Login varchar(50) NOT NULL default '',
  Password varchar(50) NOT NULL default '',
  Email varchar(50) default NULL,
  FirstName varchar(50) default NULL,
  LastName varchar(50) default NULL,
  InfoSubscription int default '0',
  Signature text NOT NULL,
  SimultaneousLogins int NOT NULL default '0',
  CookieLogin int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_UserGroupLink (
  ID int NOT NULL,
  UserID int default NULL,
  GroupID int default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_UserAddressLink (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  AddressID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Author (
  ID int NOT NULL,
  Name varchar(255) default NULL,
  EMail varchar(255) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Cookie (
  ID int NOT NULL,
  UserID int default '0',
  Hash varchar(33) default NULL,
  Time int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Forgot (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  Hash varchar(33) default NULL,
  Time int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Group (
  ID int NOT NULL,
  Name varchar(100) default NULL,
  Description text,
  SessionTimeout int default '60',
  IsRoot int default '0',
  GroupURL varchar(200) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_GroupPermissionLink (
  ID int NOT NULL,
  GroupID int default NULL,
  PermissionID int default NULL,
  IsEnabled int default '0',
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Module (
  ID int NOT NULL,
  Name varchar(100) NOT NULL default '',
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Permission (
  ID int NOT NULL,
  ModuleID int default NULL,
  Name varchar(100) default NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_Trustees (
  ID int NOT NULL,
  OwnerID int NOT NULL,
  UserID int NOT NULL,
  PRIMARY KEY (ID)
);

CREATE TABLE eZUser_UserShippingLink (
  ID int NOT NULL default '0',
  UserID int default '0',
  AddressID int default '0',
  PRIMARY KEY  (ID)
);

INSERT INTO eZUser_Module (ID, Name) VALUES (1,'eZTrade');
INSERT INTO eZUser_Module (ID, Name) VALUES (2,'eZPoll');
INSERT INTO eZUser_Module (ID, Name) VALUES (3,'eZUser');
INSERT INTO eZUser_Module (ID, Name) VALUES (4,'eZTodo');
INSERT INTO eZUser_Module (ID, Name) VALUES (5,'eZNews');
INSERT INTO eZUser_Module (ID, Name) VALUES (6,'eZContact');
INSERT INTO eZUser_Module (ID, Name) VALUES (7,'eZForum');
INSERT INTO eZUser_Module (ID, Name) VALUES (8,'eZLink');
INSERT INTO eZUser_Module (ID, Name) VALUES (9,'eZFileManager');
INSERT INTO eZUser_Module (ID, Name) VALUES (10,'eZImageCatalogue');
INSERT INTO eZUser_Module (ID, Name) VALUES (11,'eZBug');
INSERT INTO eZUser_Module (ID, Name) VALUES (12,'eZArticle');
INSERT INTO eZUser_Module (ID, Name) VALUES (13,'eZBulkMail');
INSERT INTO eZUser_Module (ID, Name) VALUES (14,'eZStats');
INSERT INTO eZUser_Module (ID, Name) VALUES (15,'eZSysInfo');
INSERT INTO eZUser_Module (ID, Name) VALUES (16,'eZSiteManager');


INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (1,3,'UserAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (2,3,'UserDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (3,3,'UserModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (4,3,'GroupDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (5,3,'GroupAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (6,3,'GroupModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (11,8,'LinkGroupModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (8,3,'AdminLogin');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (10,8,'LinkGroupAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (9,8,'LinkGroupDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (12,8,'LinkModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (13,8,'LinkAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (14,8,'LinkDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (15,7,'CategoryAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (16,7,'CategoryModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (17,7,'CategoryDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (18,7,'ForumDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (19,7,'ForumAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (20,7,'ForumModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (21,7,'MessageModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (22,7,'MessageAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (23,7,'MessageDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (24,6,'PersonAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (25,6,'CompanyAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (26,6,'CategoryAdd');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (27,6,'PersonDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (28,6,'CompanyDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (29,6,'CategoryDelete');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (30,6,'PersonModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (31,6,'CompanyModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (32,6,'CategoryModify');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (33,6,'PersonView');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (34,6,'PersonList');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (35,3,'UserLogin');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (36,9,'WriteToRoot');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (39,10,'WriteToRoot');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (41,6,'CompanyView');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (42,6,'CompanyList');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (43,6,'TypeAdmin');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (44,6,'Consultation');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (45,4,'ViewOtherUsers');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (46,4,'AddOthers');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (47,4,'EditOthers');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (48,6,'CompanyStats');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (49,1,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (50,2,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (51,3,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (52,4,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (53,5,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (54,6,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (55,7,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (56,8,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (57,9,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (58,10,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (59,11,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (60,12,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (61,13,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (62,14,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (63,15,'ModuleEdit');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (64,12,'WriteToRoot');
INSERT INTO eZUser_Permission (ID, ModuleID, Name ) VALUES (65,16,'ModuleEdit');

CREATE TABLE eZUser_UserGroupDefinition (
  ID int NOT NULL,
  UserID int NOT NULL default '0',
  GroupID int NOT NULL default '0',
  PRIMARY KEY (ID)
);

INSERT INTO eZUser_User ( ID,  Login,  Password,  Email,  FirstName,  LastName,  InfoSubscription,  Signature,  SimultaneousLogins,  CookieLogin )  
VALUES (1,'admin','9b6d0bb3102b87fae57bc4a39149518e','postmaster@yourdomain','admin','user','0','',0,0);

INSERT INTO eZUser_Group (ID, Name, Description, SessionTimeout, IsRoot) VALUES (1,'Administrators','All rights',7200,1);
INSERT INTO eZUser_Group (ID, Name, Description, SessionTimeout, IsRoot) VALUES (2,'Anonymous','Anonymous users',7200,0);
INSERT INTO eZUser_UserGroupLink (ID, UserID, GroupID) VALUES (1,1,1);

CREATE TABLE eZUser_Photographer (
  ID int NOT NULL,
  Name varchar(50) default NULL,
  EMail char(50) default NULL,
  PRIMARY KEY (ID)
);

CREATE INDEX UserGroupLink_UserID ON eZUser_UserGroupLink (UserID);
CREATE INDEX UserGroupLink_GroupID ON eZUser_UserGroupLink (GroupID);

CREATE UNIQUE INDEX User_Login ON eZUser_User (Login);  


